Web lists-archives.com

Re: pcompress or any way to get Rabin’s fingerprinting algorithm on Debian?




Albretch Mueller wrote: 
>  I think pcompress their license
> 
>  http://moinakg.github.io/pcompress/
> 
>  is compatible with Debian but for whatever reason you can't install
> it from the repositories

The license appears to be LGPL v3
( http://freshmeat.sourceforge.net/projects/pcompress )
which makes it eligible. You could send an RFP -- request for
package -- via this process:

https://www.debian.org/devel/wnpp/



> 
> # apt-get install pcompress
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> E: Unable to locate package pcompress

You actually want:

apt search pcompress

which will tell you the same thing, but could be helpful when
generally looking for software.


>  I have been trying to install pcompress on Debian the monkey way, but
> I am getting errors I can not make much sense of:
> 
> # uname -a
> Linux niggahme 4.9.0-6-amd64 #1 SMP Debian 4.9.82-1+deb9u3
> (2018-03-02) x86_64 GNU/Linux
> 
> # ./config --disable-wavpack
> Checking for GCC ...
> Checking for 32-bit/64-bit platform ...
> Checking OS ...
> Checking GCC version ...
> Checking for CPU SSE version ... sse4.2
> Checking for CPU AVX version ... None
> Checking for Yasm ...
> Checking for OpenSSL ...
> ERROR: OpenSSL libraries not detected.
> 
> # apt-get install openssl
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> openssl is already the newest version (1.1.0f-3+deb9u2).
> openssl set to manually installed.
> 0 upgraded, 0 newly installed, 0 to remove and 187 not upgraded.
> 
> # ./config --disable-wavpack
> Checking for GCC ...
> Checking for 32-bit/64-bit platform ...
> Checking OS ...
> Checking GCC version ...
> Checking for CPU SSE version ... sse4.2
> Checking for CPU AVX version ... None
> Checking for Yasm ...
> Checking for OpenSSL ...
> ERROR: OpenSSL libraries not detected.
> #

As has been mentioned, you want

apt install libssl-dev

to get the development version.

-dsr-